
Summary: A program which enables anonymous FTP access.
Name: anonftp
Version: 3.0
Release: 8mdk
Copyright: GPL
Group: System/Servers
Source: recompress.c
Prefix: /home/ftp
BuildRoot: %{_tmppath}/anonftp-root
AutoReqProv: 0
BuildPrereq: fileutils, glibc, tar, gzip, ncompress
Requires: ftpserver

%description
The anonftp package contains the files you need in order to
allow anonymous FTP access to your machine. Anonymous FTP access allows
anyone to download files from your machine without having a user account. 
Anonymous FTP is a popular way of making programs available via the
Internet.

You should install anonftp if you would like to enable anonymous FTP
downloads from your machine.

%prep
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/ftp/{pub,etc,bin,lib}

cat > $RPM_BUILD_ROOT/home/ftp/etc/passwd <<EOF
root:*:0:0:::
bin:*:1:1:::
operator:*:11:0:::
ftp:*:14:50:::
nobody:*:99:99:::
EOF

cat > $RPM_BUILD_ROOT/home/ftp/etc/group <<EOF
root::0:
bin::1:
daemon::2:
sys::3:
adm::4:
ftp::50:
EOF

%define LDSOVER 2
%define LIBCVER 2.1.3
%define LIBNSSVER 2

%ifarch i386 i486 i586 k6 i686 i786 i886 i986 sparc armv4l
LIBCSOVER=6
LIBNSLVER=1
%endif

%ifarch alpha ppc
LIBCSOVER=6.1
LIBNSLVER=1.1
%endif

%define ROOT $RPM_BUILD_ROOT/home/ftp/lib

cp -fd /etc/ld.so.cache $RPM_BUILD_ROOT/home/ftp/etc
cp -fd /lib/libc.so.$LIBCSOVER /lib/libc-%{LIBCVER}.so %{ROOT}

%ifarch ppc
cp -fd /lib/ld-%{LIBCVER}.so %{ROOT}
%else
cp -fd /lib/ld-linux.so.%{LDSOVER} /lib/ld-%{LIBCVER}.so %{ROOT}
%endif

cp -fd /lib/libnss_files-%{LIBCVER}.so \
	/lib/libnss_files.so.%{LIBNSSVER}	%{ROOT}
cp -fd /lib/libnsl-%{LIBCVER}.so /lib/libnsl.so.$LIBNSLVER %{ROOT}

%ifnarch armv4l ppc
cp -fd	/lib/libnss1_files-%{LIBCVER}.so %{ROOT}
%endif

cp -fd /lib/libtermcap.so.2.0.8 %{ROOT}
cp -fd /lib/libtermcap.so.2 %{ROOT}

cp -fd /bin/ls /bin/cpio /bin/gzip /bin/tar $RPM_BUILD_ROOT/home/ftp/bin
cp -fd /bin/ash $RPM_BUILD_ROOT/home/ftp/bin/sh
ln -sf gzip $RPM_BUILD_ROOT/home/ftp/bin/zcat
cp -fd /usr/bin/compress $RPM_BUILD_ROOT/home/ftp/bin

gcc $RPM_OPT_FLAGS -o $RPM_BUILD_ROOT/home/ftp/bin/recompress %{SOURCE0}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/ftpaccess ];then
		if ! grep -q "class.*anonymous.*"  /etc/ftpaccess;then
		cat /etc/ftpaccess | grep -v class > /etc/ftpaccess.mdk
		echo "class all real,guest,anonymous  *" > /etc/ftpaccess
		cat /etc/ftpaccess.mdk >> /etc/ftpaccess
		rm -f /etc/ftpaccess.mdk
		fi
fi
exit 0
/sbin/ldconfig

%preun
if [ -f /etc/ftpaccess ];then
		grep -q class  /etc/ftpaccess && grep -v class /etc/ftpaccess > /etc/ftpaccess.mdk
		if [ "$?" = "0" ];then		
				mv -f /etc/ftpaccess.mdk /etc/ftpaccess
		fi
fi
exit 0

%files
%defattr(-,root,root)
%attr(0444,root,root) %config /home/ftp/etc/passwd
%attr(0444,root,root) %config /home/ftp/etc/group

/home/ftp/etc/ld.so.cache

%ifarch alpha
/home/ftp/lib/libc.so.6.1
/home/ftp/lib/libnsl.so.1.1
%else
/home/ftp/lib/libc.so.6
/home/ftp/lib/libnsl.so.1
%endif
/home/ftp/lib/libc-%{LIBCVER}.so
/home/ftp/lib/ld-linux.so.%{LDSOVER}
/home/ftp/lib/ld-%{LIBCVER}.so
/home/ftp/lib/libnss_files-%{LIBCVER}.so
/home/ftp/lib/libnss_files.so.%{LIBNSSVER}
/home/ftp/lib/libnsl-%{LIBCVER}.so
/home/ftp/lib/libtermcap.so.2.0.8
/home/ftp/lib/libtermcap.so.2

%attr(0755,root,root) %dir /home/ftp
%attr(0111,root,root) %dir /home/ftp/bin
%attr(0111,root,root) %dir /home/ftp/etc
%attr(2755,root,ftp) %dir /home/ftp/pub
%dir /home/ftp/lib
%attr(0111,root,root) /home/ftp/bin/ls
%attr(0111,root,root) /home/ftp/bin/compress
%attr(0111,root,root) /home/ftp/bin/recompress
%attr(0111,root,root) /home/ftp/bin/cpio
%attr(0111,root,root) /home/ftp/bin/gzip
#%attr(0111,root,root) /home/ftp/bin/sh
%attr(0111,root,root) /home/ftp/bin/tar
%attr(0111,root,root) /home/ftp/bin/zcat

%changelog
* Tue May 16 2000 Daouda LO <daouda@mandrakesoft.com> 3.0-8mdk
- who forget to put libtermcap* to %files ?? 

* Mon May 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0-7mdk
- Remove ldconfig (let me know where it's needed)
- Fix build on alpha.

* Sun May 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0-6mdk
- Fixed Yet Another Problem in Post Scripts (FYAPIPS).

* Sat May 13 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0-5mdk
- Fix another problem in post scripts. (%preun)
- added ldconfig

* Fri May 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0-4mdk
- Fix post scripts again.
- Add libtermcap.so.2 for ls :\

* Mon May 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0-3mdk
- removed reference to $RPM_BUILD_ROOT in post scripts (DOH!)

* Sat Apr 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0-2mdk
- %preun not %postun. 

* Fri Apr  7 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0-1mdk
- merged with Rawhide:
  Add BuildPrereqs
  add recompress from BeroFTPD - it's useful for ftpconversions
  remove sh. Having a shell in the chroot ftp-structure is a security
  problem, not a feature. 
- our recompress is actually in the file, not redhat ;-)

* Thu Apr  6 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.8-9mdk
- fix group
- new libc

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com>
- Fixed support for PPC

* Mon Jan 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.8-6mdk

- ||: when fail on strip.

* Fri Jan 07 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com>
- Removed conflict with /etc/ftpaccess from wu-ftpd package :
  use %post && %postun to modify it and don't include this file 
  as one of ours to avoid this problem.

* Tue Jan 04 2000 John Buswell <johnb@mandrakesoft.com> 2.2-8mdk
- Added ppc arch
- fixed anonymous access

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Add a k6 arch
- glibc version 2.1.2

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Some fixes (libc.so.6, not 6.1)
- fix build with arch=i[456789]86

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)
- glibc version 2.1.1

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- add sparc

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- fix defattr typo (#784)
- newer libc

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- abuse the %attr settings instead of massive chown
- avoid cp-av because it breaks on symlinks (the wonders of lchown/chown
- rebuild for glibc 2.1

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- newer libc

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated for the newer glibc libs

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- Built with glibc for the first time
- moved BuildRoot to /var/tmp
- mega-reworking of the spec file

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Requires ftpserver virtual package now (which wu-ftpd provides).

